import { TNSRTCMediaStreamTrackBase } from '../base/TNSRTCMediaStreamTrackBase';
import { TNSRTCMediaTrackSettings } from './TNSRTCMediaTrackSettings';
export declare class TNSRTCMediaStreamTrack extends TNSRTCMediaStreamTrackBase {
    private _mediaStreamTrack;
    private _mediaStreamTrackSettings;
    constructor(mediaStreamTrack: any);
    readonly id: string;
    enabled: boolean;
    readonly kind: string;
    readonly readyState: string;
    readonly mute: boolean;
    readonly android: any;
    readonly instance: any;
    readonly mediaStreamTrack: any;
    dispose(): void;
    readonly settings: TNSRTCMediaTrackSettings;
    stop(): void;
    static fromNative(mediaStreamTrack: any): TNSRTCMediaStreamTrack;
}
