"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TNSRTCIceCandidateBase_1 = require("../base/TNSRTCIceCandidateBase");
var TNSRTCIceCandidate = (function (_super) {
    __extends(TNSRTCIceCandidate, _super);
    function TNSRTCIceCandidate(sdp, sdpMid, sdpMLineIndex) {
        var _this = _super.call(this, sdp, sdpMid, sdpMLineIndex) || this;
        _this._iceCandidate = FancyRTCIceCandidate.alloc().initWithSdpSdpMidSdpMLineIndex(sdp, sdpMid, sdpMLineIndex);
        return _this;
    }
    TNSRTCIceCandidate.fromNative = function (candidate) {
        return new TNSRTCIceCandidate(candidate.sdp, candidate.sdpMid, candidate.sdpMLineIndex);
    };
    Object.defineProperty(TNSRTCIceCandidate.prototype, "candidate", {
        get: function () {
            return this._iceCandidate.candidate;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCIceCandidate.prototype, "sdp", {
        get: function () {
            return this._iceCandidate.sdp;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCIceCandidate.prototype, "sdpMid", {
        get: function () {
            return this._iceCandidate.sdpMid;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCIceCandidate.prototype, "sdpMLineIndex", {
        get: function () {
            return this._iceCandidate.sdpMLineIndex;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCIceCandidate.prototype, "usernameFragment", {
        get: function () {
            return this._iceCandidate.usernameFragment;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCIceCandidate.prototype, "serverUrl", {
        get: function () {
            return this._iceCandidate.serverUrl;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCIceCandidate.prototype, "ios", {
        get: function () {
            return this._iceCandidate.iceCandidate;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCIceCandidate.prototype, "instance", {
        get: function () {
            return this._iceCandidate;
        },
        enumerable: true,
        configurable: true
    });
    return TNSRTCIceCandidate;
}(TNSRTCIceCandidateBase_1.TNSRTCIceCandidateBase));
exports.TNSRTCIceCandidate = TNSRTCIceCandidate;
//# sourceMappingURL=TNSRTCIceCandidate.js.map